/*
Ellipse composition based on equation of a circle
x = cx + radius *cos(t);
y = cy + radius *sin(t);
*/

float x, y;

void setup() {
  noLoop();
  size(600, 200);
  noFill();
  background(255);
}

void draw() {
  stroke(#8E3137);
  for (int radius = 20; radius<=width/3; radius+=50) {
    println();
    println("Now drawing ellipses on a radius of "+radius+" px: ");
      for (int degree = 0; degree<360; degree+=5) {
            print("one at "+degree+ "degrees, ");
      x = width/2 + radius * cos(radians(degree));
      y = height/2 + radius * sin(radians(degree));
      ellipse(x, y, 200, 200);
    }
    println("done!");
  }
}